#declare environment = off;

/********************************************************************************************************************************************
//Breadboard
********************************************************************************************************************************************/


#macro Breadboard(value)

#local Bohrung =
union {
  cylinder {  // Cylinder0
    -5.000000*y,5.000000*y,1.900000
    translate <0.000000,0.200000,0.000000>
  }

  cone {  // Cone0
    -1.435000*y,2.870000,1.435000*y,0.000000
    rotate    <0.000000,0.000000,180.000000>
    translate <0.000000,3.800000,0.000000>
  }

}

#local PinHole =
union {
  box {  // Box1
    < -0.450000, -2.500000, -0.450000 >, < 0.450000, 2.500000, 0.450000 >
    translate <0.000000,2.100000,0.000000>
  }

  prism {  // Prism0
    linear_spline
    conic_sweep
    1.000,
    0.000,
    5,
    < 1.000, 1.000 >
    < -1.000, 1.000 >
    < -1.000, -1.000 >
    < 1.000, -1.000 >
    < 1.000, 1.000 >
    sturm
    translate <0.000000,3.600000,0.000000>
  }

}

#local PinHoleRow =
union {
  #declare Count = 0;
  #while( Count < 5 )
    #declare Factor = cos(0.000000+Count*0.000000);
    object{ PinHole
      rotate <0.0,0.0,0.000000*Count>
      rotate<0.0,0.000000*Count,0.0>
      rotate <0.000000*Count,0.0,0.0>
      scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
      rotate <0.000000*Count,0.000000*Count,0.000000*Count>
      rotate <0.000000*Count,0.000000*Count,0.000000*Count>
      translate <0.000000*Count,0.000000*Count,2.540000*Count>
      rotate <0.000000*Count,0.000000*Count,0.000000*Count>
    }
    #declare Count = Count + 1;
  #end
}

#local PowerPinHoles =
union {
  #declare Count = 0;
  #while( Count < 4 )
    #declare Factor = cos(0.000000+Count*0.000000);
    object{ PinHoleRow
      rotate <0.0,0.0,0.000000*Count>
      rotate<0.0,0.000000*Count,0.0>
      rotate <0.000000*Count,0.0,0.0>
      scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
      rotate <0.000000*Count,0.000000*Count,0.000000*Count>
      rotate <0.000000*Count,0.000000*Count,0.000000*Count>
      translate <0.000000*Count,0.000000*Count,15.239999*Count>
      rotate <0.000000*Count,0.000000*Count,0.000000*Count>
    }
    #declare Count = Count + 1;
  #end
  rotate    <0.000000,90.000000,0.000000>
}

#local GridPinHoles =
union {
  #declare Count = 0;
  #while( Count < 23 )
    #declare Factor = cos(0.000000+Count*0.000000);
    object{ PinHoleRow
      rotate <0.0,0.0,0.000000*Count>
      rotate<0.0,0.000000*Count,0.0>
      rotate <0.000000*Count,0.0,0.0>
      scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
      rotate <0.000000*Count,0.000000*Count,0.000000*Count>
      rotate <0.000000*Count,0.000000*Count,0.000000*Count>
      translate <2.540000*Count,0.000000*Count,0.000000*Count>
      rotate <0.000000*Count,0.000000*Count,0.000000*Count>
    }
    #declare Count = Count + 1;
  #end
}

difference {  // Breadboard
  box {  // Breadboard Krper
    < -41.910000, -4.500000, -22.860001 >, < 41.910000, 4.500000, 22.860001 >
  }

  box {  // Mittelsteg
    < -31.750000, -1.000000, -1.837500 >, < 31.750000, 1.000000, 1.837500 >
    translate <0.000000,4.100000,0.000000>
  }

  union {  // Befestigungsborungen
    object {  // Befestigungsborung
      Bohrung
      translate <-34.290001,0.000000,16.510000>
    }

    object {  // Befestigungsborung
      Bohrung
      translate <-34.290001,0.000000,-16.510000>
    }

    object {  // Befestigungsborung
      Bohrung
      translate <34.290001,0.000000,16.510000>
    }

    object {  // Befestigungsborung
      Bohrung
      translate <34.290001,0.000000,-16.510000>
    }

  }

  union {  // CSG1
    object {  // Spanungsversorgungsleiste
      PowerPinHoles
      translate <-27.939999,0.000000,-19.049999>
    }

    object {  // Spanungsversorgungsleiste
      PowerPinHoles
      translate <-27.939999,0.000000,19.049999>
    }

    object {  // Steckflche
      GridPinHoles
      rotate    <0.000000,180.000000,0.000000>
      translate <27.939999,0.000000,-3.810000>
    }

    object {  // Steckflche
      GridPinHoles
      translate <-27.939999,0.000000,3.810000>
    }

  }
  texture{pigment{rgb<0.9,0.9,0.9>}}
  translate <0.000000,-4.500000,0.000000>
}
#end